Bug 64844 - Oracle9 installtion fails
Oracle9 installtion fails
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: libc (Show other bugs)
7.1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-13 11:03 EDT by Steve Cawley
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-03 15:35:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Cawley 2002-05-13 11:03:12 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows 98)

Description of problem:
When attempting to install Oracle9, the product will not install.  Multiple 
linker errors when installation program attempts to link at the end of the 
installation process.

Multiple workarounds found in the v7.1 Release Notes (for Oracle8) and others 
found on the Internet do not solve this problem. The system is fully 'up-to-
date' in terms of system packages.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.  Run oracle installation program
2.  Go through install process
3.  Install fails when linking objects
	

Actual Results:  The product is not successfully installed. 

Expected Results:  The linker phase should complete without error.

Additional info:

This seems to be an ongoing problem between Oracle and RedHat since RedHat v6.1.
Comment 1 Jakub Jelinek 2002-05-21 07:58:46 EDT
Try removing -z defs from Oracle makefiles or add dynamic linker (/lib/ld-linux.so.2)
to the linker commands using -z defs for shared libraries.
Comment 2 Jukka Lehti 2002-06-11 07:26:38 EDT
I'm not sure is this related to the initial bug report, but I have following
situation:

I have Red Hat Linux 7.3 freshly installed. I installed Oracle 9i Release 1 for
Linux (version 9.1.0.1.0). However, installing Oracle 9i Release 2 for Linux
(version 9.2.0.1.0) fails.

Oracle error report says:

Error in invoking target install of makefile /var/oracle/ctx/lib/ins_ctx.mk

When manually trying to do "make install" in that directory using makefile
mentioned above, following error appears:

[...]
mv ctxsrv  /var/oracle/bin/ctxsrv
chmod 751 /var/oracle/bin/ctxsrv
gcc -o ctxhx -L/var/oracle/ctx/lib/ -L/var/oracle/lib/ -L/var/oracle/lib/stubs/
 /var/oracle/ctx/lib/ctxhx.o -L/var/oracle/ctx/lib/ -lm -lsc_ca -lsc_fa -lsc_ex
-lsc_da -lsc_ut -lsc_ch -lsc_fi -lctxhx -lc -Wl,-rpath,/var/oracle/ctx/lib
-lnls9  -lcore9 -lnls9 -lcore9 -lnls9 -lxml9 -lcore9 -lunls9 -lnls9 
/lib/libdl.so.2: undefined reference to `_dl_addr@GLIBC_PRIVATE'
/lib/libdl.so.2: undefined reference to `_dl_open@GLIBC_PRIVATE'
/lib/libdl.so.2: undefined reference to `_dl_close@GLIBC_PRIVATE'
/lib/libdl.so.2: undefined reference to `_dl_sym@GLIBC_PRIVATE'
/lib/libdl.so.2: undefined reference to `_dl_vsym@GLIBC_PRIVATE'
collect2: ld returned 1 exit status
make: *** [ctxhx] Error 1
bash-2.05a$

Removing -z defs from makefiles before linking phase did not help.
Comment 3 Jukka Lehti 2002-06-11 07:29:03 EDT
"I have Red Hat Linux 7.3 freshly installed. I installed Oracle 9i Release 1 for
Linux (version 9.1.0.1.0). However, installing Oracle 9i Release 2 for Linux
(version 9.2.0.1.0) fails."

Probably better to clarify this a bit: I installer 9iRel1 succesfully on a
RH7.3. Installing 9iRel2 to the same kind of environment (not the machine
already running 9iRel1) fails.
Comment 4 Need Real Name 2002-11-19 22:34:35 EST
This is solved at 
http://www.idevelopment.info/data/DBA_tips/Linux/LINUX_5.shtml

Errors during the Relink Phase of the Install 

During the "Link Phase" of the install, you will get an error while trying to 
make/install CTX. (The same issue exists in 9.0.1 on RedHat Linux). 
The following errors will exist in $ORACLE_HOME/install/make.log 

/lib/libdl.so.2: undefined reference to `__ctype_b_loc@GLIBC_2.3' 
/lib/libdl.so.2: undefined reference to `_dl_addr@GLIBC_PRIVATE' 
/lib/libdl.so.2: undefined reference to `_dl_open@GLIBC_PRIVATE' 
/lib/libdl.so.2: undefined reference to `_dl_close@GLIBC_PRIVATE' 
/lib/libdl.so.2: undefined reference to `_dl_sym@GLIBC_PRIVATE' 
/lib/libdl.so.2: undefined reference to `_dl_vsym@GLIBC_PRIVATE' 
collect2: ld returned 1 exit status 
make: *** [ctxhx] Error 1 


This error occurs when the following is executed: 

/usr/bin/make -f ins_ctx.mk install ORACLE_HOME=/u01/app/oracle/product/9.2.0 

Solution 

The solution is to edit the file $ORACLE_HOME/ctx/lib/env_ctx.mk and go 
to "INSO_LINK =", add a "$(LDLIBFLAG)dl" to the line and save it. 

Here is the full line with the added "$(LDLIBFLAG)dl" flag: 

INSO_LINK = -L$(CTXLIB) $(LDLIBFLAG)m $(LDLIBFLAG)dl $(LDLIBFLAG)sc_ca 
$(LDLIBFLAG)sc_fa $(LDLIBFLAG)sc_ex $(LDLIBFLAG)sc_da $(LDLIBFLAG)sc_ut 
$(LDLIBFLAG)sc_ch $(LDLIBFLAG)sc_fi $(LLIBCTXHX) $(LDLIBFLAG)c -Wl,-
rpath,$(CTXHOME)lib $(CORELIBS) $(COMPEOBJS) 
Comment 5 Need Real Name 2002-11-19 22:39:00 EST
This is solved at 
http://www.idevelopment.info/data/DBA_tips/Linux/LINUX_5.shtml

Errors during the Relink Phase of the Install 

During the "Link Phase" of the install, you will get an error while trying to 
make/install CTX. (The same issue exists in 9.0.1 on RedHat Linux). 
The following errors will exist in $ORACLE_HOME/install/make.log 

/lib/libdl.so.2: undefined reference to `__ctype_b_loc@GLIBC_2.3' 
/lib/libdl.so.2: undefined reference to `_dl_addr@GLIBC_PRIVATE' 
/lib/libdl.so.2: undefined reference to `_dl_open@GLIBC_PRIVATE' 
/lib/libdl.so.2: undefined reference to `_dl_close@GLIBC_PRIVATE' 
/lib/libdl.so.2: undefined reference to `_dl_sym@GLIBC_PRIVATE' 
/lib/libdl.so.2: undefined reference to `_dl_vsym@GLIBC_PRIVATE' 
collect2: ld returned 1 exit status 
make: *** [ctxhx] Error 1 


This error occurs when the following is executed: 

/usr/bin/make -f ins_ctx.mk install ORACLE_HOME=/u01/app/oracle/product/9.2.0 

Solution 

The solution is to edit the file $ORACLE_HOME/ctx/lib/env_ctx.mk and go 
to "INSO_LINK =", add a "$(LDLIBFLAG)dl" to the line and save it. 

Here is the full line with the added "$(LDLIBFLAG)dl" flag: 

INSO_LINK = -L$(CTXLIB) $(LDLIBFLAG)m $(LDLIBFLAG)dl $(LDLIBFLAG)sc_ca 
$(LDLIBFLAG)sc_fa $(LDLIBFLAG)sc_ex $(LDLIBFLAG)sc_da $(LDLIBFLAG)sc_ut 
$(LDLIBFLAG)sc_ch $(LDLIBFLAG)sc_fi $(LLIBCTXHX) $(LDLIBFLAG)c -Wl,-
rpath,$(CTXHOME)lib $(CORELIBS) $(COMPEOBJS) 
Comment 6 Jakub Jelinek 2004-10-03 15:35:46 EDT
RHL 7.3 is not supported anymore, closing.

Note You need to log in before you can comment on or make changes to this bug.